import { createContext, useContext, useEffect, useRef, useState } from "react";
import { myFetch, myFetchContentType } from "../utils";

const preview = {
  userId: "",
  userPermissions: [],
  users: [],
};

const AppContext = createContext(preview);

export const useAppContext = () => useContext(AppContext);

export function AppProvider({ children }) {
  const userId = useRef(""); // used for some conditions in webSocket message handler

  const [userPermissions, setUserPermissions] = useState([]);
  // used for avatars and the tooltip for the avatar
  const [users, setUsers] = useState([]); // { Id, Username, Avatar}

  return (
    <AppContext.Provider
      value={{
        userId,
        userPermissions,
        setUserPermissions,
        users,
        setUsers,
      }}
    >
      {children}
    </AppContext.Provider>
  );
}
