import { createContext, useContext, useRef, useState } from "react";

const preview = {
  totalNotifications: 0,
  notficationResponse: null,
  paginationPage: 1,
  paginationPageRef: null,
};

const HeaderContext = createContext(preview);

export const useHeaderContext = () => useContext(HeaderContext);

export default function HeaderProvider({ children }) {
  const [totalNotifications, setTotalNotifications] = useState(0);
  const [notficationResponse, setNotificationResponse] = useState(null);
  const [paginationPage, setPaginationPage] = useState(1);
  const paginationPageRef = useRef(paginationPage);

  return (
    <HeaderContext.Provider
      value={{
        totalNotifications,
        setTotalNotifications,
        notficationResponse,
        setNotificationResponse,
        paginationPage,
        setPaginationPage,
        paginationPageRef,
      }}
    >
      {children}
    </HeaderContext.Provider>
  );
}
